import request from '@/utils/request'

// 查询base_data_month列表
export function listBase_data_month(query) {
  return request({
    url: '/base_data_month/base_data_month/list',
    method: 'get',
    params: query
  })
}

// 查询base_data_month详细
export function getBase_data_month(id) {
  return request({
    url: '/base_data_month/base_data_month/' + id,
    method: 'get'
  })
}

// 新增base_data_month
export function addBase_data_month(data) {
  return request({
    url: '/base_data_month/base_data_month',
    method: 'post',
    data: data
  })
}

// 修改base_data_month
export function updateBase_data_month(data) {
  return request({
    url: '/base_data_month/base_data_month',
    method: 'put',
    data: data
  })
}

// 删除base_data_month
export function delBase_data_month(id) {
  return request({
    url: '/base_data_month/base_data_month/' + id,
    method: 'delete'
  })
}
